Bug 11625 - High memory usage with a large number of shares
High memory usage with a large number of shares
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 11:37 UTC by Stefan Metzmacher
Modified: 2016-01-05 08:29 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.3.next. (21.87 KB, patch)
2015-12-08 00:24 UTC, Jeremy Allison
vl: review+
jra: review? (metze)
Details
git-am fix for 4.2.next. (21.63 KB, patch)
2015-12-08 00:34 UTC, Jeremy Allison
vl: review+
jra: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2015-11-30 11:37:04 UTC
The loadparm system used to optimize "" strings, a regression
in >= 4.2, caused talloc_strdup() for all of them.
Comment 1 Jeremy Allison 2015-12-08 00:24:43 UTC
Created attachment 11686 [details]
git-am fix for 4.3.next.

Back-port from master commit for 4.3.next.
Comment 2 Jeremy Allison 2015-12-08 00:34:06 UTC
Created attachment 11687 [details]
git-am fix for 4.2.next.

Back-port from master for 4.2.next.
Comment 3 Jeremy Allison 2015-12-08 17:09:13 UTC
Karolin please push to 4.3.next, 4.2.next. Thanks !
Jeremy.
Comment 4 Karolin Seeger 2015-12-17 10:02:16 UTC
Pushed to autobuild-v4-[2|3]-test.
Comment 5 Karolin Seeger 2016-01-05 08:29:48 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!